{ inputs, pkgs, config, lib, ... }: {
  imports = [
    ../../templates/proxmox-lxc.nix
    ../../server.nix
    ../../features/dns-cache.nix
  ];

  networking.hostName = "jitsi";
  system.stateVersion = "24.11";
  nixpkgs.hostPlatform = "x86_64-linux";

  services.jitsi-meet = {
    enable = true;
    hostName = "flesh.doll.repair";
    excalidraw.enable = true;
    interfaceConfig = {
      APP_NAME = "Doll Repair Hole??";
      SHOW_JITSI_WATERMARK = false;
      DISABLE_PRESENCE_STATUS = true;
      SHOW_POWERED_BY = false;
      SHOW_PROMOTIONAL_CLOSE_PAGE = false;
      VIDEO_QUALITY_LABEL_DISABLED = false;
    };
    config = {
      startAudioOnly = true;
      startWithAudioMuted = true;
      desktopSharingFrameRate = {
        min = 30;
        max = 60;
      };
      analytics.disabled = true;
      useTurnUdp = true;
    };
  };

  # services.nginx.virtualHosts."flesh.doll.repair" = {
  #   enableACME = false;
  #   forceSSL = false;
  # };

  services.jitsi-videobridge = {
    nat = {
      localAddress = "10.100.1.50";
      publicAddress = "136.56.240.152";
    };
    openFirewall = true;
  };

  networking.firewall.allowedTCPPorts = [ 80 443 ];

  security.acme = {
    acceptTerms = true;
    defaults.email = "acme@kat.cafe";
  };
}
